std::vector::at(3)

NAME
std::vector::at - std::vector::at

Synopsis
   reference at( size_type pos ); (until C++20)
   constexpr reference at( size_type pos ); (since C++20)
   const_reference at( size_type pos ) const; (until C++20)
   constexpr const_reference at( size_type pos ) const; (since C++20)
   Returns a reference to the element at specified location pos, with bounds checking.
   If pos is not within the range of the container, an exception of type
   std::out_of_range is thrown.

Parameters
   pos - position of the element to return

Return value
   Reference to the requested element.

Exceptions
   std::out_of_range if !(pos < size()).

Complexity
   Constant.

Example
// Run this code
 #include <iostream>
 #include <vector>
 int main()
 {
     std::vector<int> data = { 1, 2, 4, 5, 5, 6 };
     // Set element 1
     data.at(1) = 88;
     // Read element 2
     std::cout << "Element at index 2 has value " << data.at(2) << '\n';
     std::cout << "data size = " << data.size() << '\n';
     try {
         // Set element 6
         data.at(6) = 666;
     } catch (std::out_of_range const& exc) {
         std::cout << exc.what() << '\n';
     }
     // Print final values
     std::cout << "data:";
     for (int elem : data)
         std::cout << " " << elem;
     std::cout << '\n';
 }

Possible output:
 Element at index 2 has value 4
 data size = 6
 vector::_M_range_check: __n (which is 6) >= this->size() (which is 6)
 data: 1 88 4 5 5 6

See also
   operator[] access specified element
              (public member function)